---
import { changeLanguage } from "i18next";
import Link from "../components/Link.astro";
import MainLayout from "../layouts/MainLayout.astro";

changeLanguage("en");
---

<MainLayout title="Page Not Found">
  <div
    class="container"
    style={{
      display: "grid",
      placeItems: "center",
      textAlign: "center",
      gap: "var(--space-sm)",
    }}
  >
    <div>
      <h1 class="h1">Welp, this is awkward!</h1>
      <p>We seem to have misplaced something…</p>
    </div>
    <Link
      href="/"
      style="secondary"
      text="Go Home"
      icon={{
        name: "tabler:home",
        side: "right",
      }}
    />
  </div>
</MainLayout>
